aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKevin Wolf <kwolf@redhat.com>2017-07-27 15:13:20 +0200
committerKevin Wolf <kwolf@redhat.com>2017-08-01 18:09:33 +0200
commita8e9c8480e30ee91d05ea096016526af46b1337e (patch)
treee7fa04147b3fb7bc4854ef1ca91bd164ebcf3e87
parent6a1e9096206f65525d1fec418b91d5ac82c77934 (diff)
downloadqemu-arm-a8e9c8480e30ee91d05ea096016526af46b1337e.tar.gz
qemu-iotests/162: Fix leaked temporary files
qemu-iotests 162 left qemu-nbd.pid behind in the scratch directory, and potentially a file called '42' in the current directory. Make sure to clean it up after completing the tests. Signed-off-by: Kevin Wolf <kwolf@redhat.com> Reviewed-by: Jeff Cody <jcody@redhat.com> Reviewed-by: Eric Blake <eblake@redhat.com>
-rwxr-xr-xtests/qemu-iotests/1627
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/qemu-iotests/162 b/tests/qemu-iotests/162
index cad2bd70ab..477a806360 100755
--- a/tests/qemu-iotests/162
+++ b/tests/qemu-iotests/162
@@ -28,6 +28,13 @@ echo "QA output created by $seq"
here="$PWD"
status=1 # failure is the default!
+_cleanup()
+{
+ rm -f "${TEST_DIR}/qemu-nbd.pid"
+ rm -f 42
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
# get standard environment, filters and checks
. ./common.rc
. ./common.filter